<div>
    <div class="container row">
        <mat-card class="col-sm-12 col-mat-12	col-lg-12 col-xl-12">
          <mat-card-title>Registar Nuevo Tercero
            <mat-checkbox class="tky-right example-margin" [(ngModel)]="isNaturalPerson" [disabled]="disabledNatural" ><span>Es una persona natural?</span> </mat-checkbox>
          </mat-card-title>
          <mat-card-content>
      
      
            <form>
      
              <form novalidate [formGroup]="form_third">
                <mat-card class="field-full-width " *ngIf="!isNaturalPerson">
                  <span>Información básica del nuevo tercero</span>
                  <br>
                  <br>
                  <table class="field-full-width center-text text-center" cellspacing="0">
                    <tr class="row">
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Nombre" formControlName="fullname">
                        </mat-form-field>
                      </td>

                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                          <mat-form-field class="example-full-width"  >
                              <mat-select  placeholder="Tipo de Documento" formControlName="document_type">
                                  <mat-option *ngFor="let documentType of documentTypes" [value]="documentType.id_document_type">
                                    {{ documentType.name }}
                                  </mat-option>
                              </mat-select>
                              <mat-error *ngIf="form_third.controls.document_type.errors && form_third.controls.document_type.touched">
                                  <mat-error *ngIf="form_third.controls.document_type.errors.required">
                                      Tipo de Doc. es <strong>requerido</strong>
                                  </mat-error>
                              </mat-error>

                          </mat-form-field>
                        
                      </td>
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3  ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Numero de Documento" formControlName="document_number">
                        </mat-form-field>
                      </td>
                    </tr>
      
                    <span>Directorio</span>
                    <tr class=" field-full-width row">
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Dirección" formControlName="address_th">
                        </mat-form-field>
                      </td>
                      <!-- <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Pais" formControlName="country_th">
                        </mat-form-field>
                      </td> -->

                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                          <span>Pais <h6>{{form_third.value['country_th']}}</h6>   </span>  
                        </td>
        

                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Ciudad" formControlName="city_th">
                        </mat-form-field>
                      </td>
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Pagina Web" formControlName="webpage_th">
                        </mat-form-field>
                      </td>
                      <td class=" col-sm-12	col-mat-12	col-lg-12 col-xl-12 ">
                        <div class="example-full-width row">
                          <mat-card class="col-sm-12	col-mat-6	col-lg-6 col-xl-6">
                            <mat-form-field class="example-full-width">
                              <input matInput placeholder="Telefono" formControlName="phone_th">
                            </mat-form-field>
                          </mat-card>
                          <mat-card class="col-sm-12	col-mat-6	col-lg-6 col-xl-6">
                            <mat-form-field class="example-full-width">
                              <input matInput placeholder="Mail" formControlName="mail_th">
                            </mat-form-field>
                          </mat-card>
      
                        </div>
      
                      </td>
      
                    </tr>
      
                  </table>
                </mat-card>
              </form>
      
      
              <h1> </h1>
      
              <form novalidate [formGroup]="form">
                <mat-card class="field-full-width " *ngIf="isNaturalPerson">
                  <span>Datos para registrar a la nueva persona natural</span>
                  <br>
                  <br>
                  <table class="field-full-width center-text text-center" cellspacing="0">
                    <tr class="row">
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Primer Nombre" formControlName="first_name">
                        </mat-form-field>
                      </td>

                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Segundo Nombre" formControlName="second_name">
                        </mat-form-field>
                      </td>

                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Primer apellido" formControlName="first_lastname">
                        </mat-form-field>
                      </td>

                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Segundo Apellido" formControlName="second_lastname">
                        </mat-form-field>
                      </td>
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                          <mat-form-field class="example-full-width"  >
                            <mat-select  placeholder="Tipo de Documento" formControlName="id_document_type_prof">
                              <mat-option *ngFor="let documentType of documentTypes" [value]="documentType.id_document_type">
                                {{ documentType.name }}
                              </mat-option>
                            </mat-select>
                        </mat-form-field>
                      </td>
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Número de documento" formControlName="document_number_prof">
                        </mat-form-field>
                      </td>
      
                    </tr>
      
                    <span>Directorio</span>
                    <tr class=" field-full-width row">
      
      
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Dirección" formControlName="address_prof">
                        </mat-form-field>
                      </td>
      
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="telefono" formControlName="phone_prof">
                        </mat-form-field>
                      </td>
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <span>Pais <h6>{{form.value['country_prof']}}</h6>   </span>  
                      </td>
      
                      <td class=" col-sm-12	col-mat-4	col-lg-3 col-xl-3 ">
                        <mat-form-field class="example-full-width">
                          <input matInput placeholder="Ciudad" formControlName="city_prof">
                        </mat-form-field>

                          

                      </td>


      
                      <td class=" col-sm-12	col-mat-12	col-lg-12 col-xl-12 ">
      
                        <div class="example-full-width row">
                          <mat-checkbox class="tky-right example-margin" formControlName="isEmployee"><span>Es un empleado?</span> </mat-checkbox>
                          <mat-card class="field-full-width " *ngIf="form.value.isEmployee">
                            <div class="row">
                              <mat-card class="col-sm-12	col-mat-6	col-lg-6 col-xl-6">
                                <mat-form-field class="example-full-width">
                                  <input matInput placeholder="Email (opcional)" formControlName="mail_prof">
                                </mat-form-field>
                              </mat-card>
      
                              <mat-card class="col-sm-12	col-mat-6	col-lg-6 col-xl-6">
                                <mat-form-field class="example-full-width">
                                  <input matInput placeholder="Salario" formControlName="salary">
                                </mat-form-field>
                              </mat-card>
      
                              <form novalidate [formGroup]="form_auth">
      
                                <td class="example-full-width col-sm-12	col-mat-12	col-lg-12 col-xl-12 ">
      
                                  <div class="example-full-width row">
      
                                    <mat-checkbox class="tky-right example-margin" formControlName="isCredential"><span>Crear credenciales?</span> </mat-checkbox>
                                    <mat-card class="field-full-width col-sm-12	col-mat-12	col-lg-12 col-xl-12" *ngIf="form_auth.value.isCredential">
      
                                      <div class="example-full-width row">
                                        <mat-card class="col-sm-12	col-mat-6	col-lg-6 col-xl-6">
                                          <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Email" formControlName="username">
                                          </mat-form-field>
                                          <div *ngIf="form_auth.controls.username.errors && form_auth.controls.username.touched">
                                          <div *ngIf="form_auth.controls.username.errors.required" class="alert alert-danger">
                                              El Campo es requerido!
                                            </div>
                                          </div>
                                        </mat-card>
                                        <div class="example-full-width col-sm-12	col-mat-6	col-lg-6 col-xl-6">
                                          <mat-card class="row">
      
                                            <mat-form-field class="example-full-width">
                                              <input matInput placeholder="Contraseña" formControlName="password">
                                            </mat-form-field>
      
                                            <div *ngIf="form_auth.controls.password.errors && form_auth.controls.password.touched">
                                                <div *ngIf="form_auth.controls.password.errors.required" class="alert alert-danger">
                                                  El Campo es requerido!
                                                </div>
        
                                                <div *ngIf="form_auth.controls.password.errors.minlength" class="alert alert-danger">
                                                  El Campo debe ser mayor a 7 caracteres!
                                                </div>
      
                                                <div *ngIf="form_auth.controls.password.errors.pattern" class="alert alert-danger">
                                                    pattern!
                                                  </div>
                                              </div>
      
                                          </mat-card>
                                          <mat-card class="row">
                                            <mat-form-field class="example-full-width">
                                              <input matInput placeholder="Confirmar contraseña" formControlName="confirm">
      
                                            </mat-form-field>
      
                                            <div *ngIf="form_auth.controls.confirm.errors && form_auth.controls.confirm.touched">
                                              <div *ngIf="form_auth.controls.confirm.errors.required" class="alert alert-danger">
                                                El campo es requerido!
                                              </div>
                                              <div *ngIf="form_auth.controls.confirm.errors.MatchPassword" class="alert alert-danger">
                                                La contraseña no coincide!
                                              </div>
      
                                            </div>
      
      
                                          </mat-card>
      
      
                                        </div>
                                      </div>
      
      
                                    </mat-card>
                                  </div>
      
                                </td>
      
                              </form>
      
                            </div>
      
                          </mat-card>
      
                        </div>
      
                      </td>
      
      
      
                    </tr>
      
                  </table>
                </mat-card>
              </form>
              <h1> </h1>
            </form>
          </mat-card-content>
      
          <button mat-button routerLink="/dashboard/business/third"> Atras </button>
          <button mat-fab color="primary" [disabled]="(!form_auth.valid && (isNaturalPerson && form_auth.value['isCredential'] && form.value['isEmployee']))" (click)="createNewThird()"  class="tky-right"> <mat-icon>save</mat-icon>    </button>
        </mat-card>
      </div>

</div>